.promotion-list {
    position: relative;
    background: #f1f1f1;
    border-radius: 6px;
    padding: 20px;
    margin: 20px 0;
}

.promotion-list__ribbon {
    display: flex;
    align-items: center;
    gap: 7px;
    font-size: 20px;
}

.promotion-svg__ribbon {
    width: 26px;
    height: 26px;
    color: #ffffff;
    padding: 3px;
    border-radius: 100%;
    background-color: var(--main-theme-color);
}

.promotion-list__content {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.promotion-list__item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 5px;
}

.promotion-list__info {
    display: flex;
    flex-direction: column;
}

.promotion-list__title {
    font-size: 14px;
    color: #333333;
}

.promotion-list__description {
    font-size: 12px;
    color: #6b7280;
}

.pay-qty,
.buy-qty {
    display: inline-block;
    font-weight: 700;
    font-size: 20px;
}

.btn--promotion {
    font-size: 13px;
    text-align: center;
    font-weight: 600;
    border-radius: 6px;
    display: inline-block;
    padding: 8px 15px !important;
}

/* MOBILE */

@media (max-width: 768px) {

    .promotion-list {
        padding: 16px;
    }

    .promotion-list__item {
        padding: 12px;
        border-radius: 10px;
    }

    .promotion-list__title {
        font-size: 14px;
    }

    .promotion-list__description {
        font-size: 12px;
    }
}